POST /api/conversations/{conversationId}/queue/{itemId}/steer
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"delivered": "steered",
"queue": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"status": "queued",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"name": "<string>",
"mediaType": "<string>",
"sizeBytes": 4503599627370495,
"url": "<string>",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"byteSize": 4503599627370495,
"available": true,
"createdAt": "2023-11-07T05:31:56Z",
"origin": "upload",
"sha256": "<string>"
}
}
]
}
],
"paused": true,
"max": 123,
"canSteer": true
},
"entry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4503599627370495,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"kind": "user",
"payload": {
"text": "<string>",
"attachments": [],
"fromBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"latitude": 0,
"longitude": 0,
"accuracyMeters": 500000,
"precision": "precise",
"capturedAt": "2023-11-07T05:31:56Z",
"placeName": "<string>"
},
"replyTo": {
"seq": 4503599627370495
},
"taskBrief": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "assigned",
"title": "<string>",
"number": 123
},
"voiceCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quickReplyAnswer": {
"seq": 4503599627370495,
"index": 1,
"indices": [
1
]
},
"steered": true
},
"reactions": [
{
"emoji": "<string>",
"count": 123,
"mine": true
}
]
}
}Queue
POST /api/conversations/{conversationId}/queue/{itemId}/steer
“Send now”: hand the message to the running turn.
POST
/
api
/
conversations
/
{conversationId}
/
queue
/
{itemId}
/
steer
POST /api/conversations/{conversationId}/queue/{itemId}/steer
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/queue/{itemId}/steer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"delivered": "steered",
"queue": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"status": "queued",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"name": "<string>",
"mediaType": "<string>",
"sizeBytes": 4503599627370495,
"url": "<string>",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"byteSize": 4503599627370495,
"available": true,
"createdAt": "2023-11-07T05:31:56Z",
"origin": "upload",
"sha256": "<string>"
}
}
]
}
],
"paused": true,
"max": 123,
"canSteer": true
},
"entry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4503599627370495,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"kind": "user",
"payload": {
"text": "<string>",
"attachments": [],
"fromBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"latitude": 0,
"longitude": 0,
"accuracyMeters": 500000,
"precision": "precise",
"capturedAt": "2023-11-07T05:31:56Z",
"placeName": "<string>"
},
"replyTo": {
"seq": 4503599627370495
},
"taskBrief": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "assigned",
"title": "<string>",
"number": 123
},
"voiceCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quickReplyAnswer": {
"seq": 4503599627370495,
"index": 1,
"indices": [
1
]
},
"steered": true
},
"reactions": [
{
"emoji": "<string>",
"count": 123,
"mine": true
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.